/* 
   BASS_AC3.dll, Aurora include file, by KrYpT 2006
   Requires BASS 2.3 - available from www.un4seen.com
   See the BASSFLAC.CHM file for more complete documentation
*/

#ifndef BASSAC3_H
#define BASSAC3_H

#use "bass_ac3.lib"

// BASS_Set/GetConfig options
#define BASS_CONFIG_AC3_DYNRNG		0x10001

// Additional BASS_AC3_StreamCreateFile/User/URL flags
#define BASS_AC3_DYNAMIC_RANGE	0x800	// enable dynamic range compression

// BASS_CHANNELINFO type
#define BASS_CTYPE_STREAM_AC3	0x11000

Declare Import, BASS_AC3_StreamCreateFile(INT mem, POINTER *f, INT offset, INT length, INT flags),HSTREAM;
Declare Import, BASS_AC3_StreamCreateURL(String url, INT offset, INT flags, INT proc, INT user),HSTREAM;
Declare Import, BASS_AC3_StreamCreateFileUser(INT buffered, INT flags, INT proc, INT user),HSTREAM;

#endif