/* 
   BASS_AAC.dll, Aurora include file, by KrYpT 2006
   Requires BASS 2.3 - available from www.un4seen.com
   See the BASSFLAC.CHM file for more complete documentation
*/

#ifndef BASSAAC_H
#define BASSAAC_H

#use "bass_aac.lib"

// Additional tags available from BASS_StreamGetTags (for MP4 files)
#define BASS_TAG_MP4 		7	// MP4/iTunes metadata

#define BASS_AAC_STEREO			0x400000 // downmatrix to stereo

// BASS_CHANNELINFO type
#define BASS_CTYPE_STREAM_AAC	0x10b00 // AAC
#define BASS_CTYPE_STREAM_MP4	0x10b01 // MP4

Declare Import, BASS_AAC_StreamCreateFile(INT mem, POINTER *f, INT offset, INT length, INT flags),HSTREAM;
Declare Import, BASS_AAC_StreamCreateURL(String url, INT offset, INT flags, INT proc, INT user),HSTREAM;
Declare Import, BASS_AAC_StreamCreateFileUser(INT buffered, INT flags, INT proc, INT user),HSTREAM;
Declare Import, BASS_MP4_StreamCreateFile(INT mem, POINTER *f, INT offset, INT length, INT flags),HSTREAM;
Declare Import, BASS_MP4_StreamCreateFileUser(INT buffered, INT flags, INT proc, INT user),HSTREAM;

#endif
